@echo off
chcp 65001
title=mycmd
cd /d %~dp0
SET vsCodePath="C:\panda.soft\panda.developer\VsCode\VSCode\bin"

if not exist %vsCodePath% (
   SET vsCodePath="C:\Users\satlic.com\AppData\Local\Programs\Microsoft VS Code"
)
if not exist %vsCodePath% (
   SET vsCodePath="D:\Vscod\Microsoft VS Code"
)
if not exist %vsCodePath% (
   goto Tip2
)
set sln=%cd%\5.code

if exist %sln% (
 goto OpenSln
) else (
  goto Tip
)

:OpenSln
if exist %vsCodePath% (
   cd /d %vsCodePath%
   start /max /b cmd /C code -n %sln% | exit
   echo 请手动关闭...
   goto exit
) else (
   start %sln%
   goto exit
)

:Tip2
ECHO 未找到开发工具 VSCode,请检查是否配置: %vsCodePath%
pause


:Tip
ECHO 未找到项目,请联系管理员(panjia@ulee.work)
pause

:exit
exit 0